cipher-blowfish-0.0.3: Blowfish cipher

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell98

Crypto.Cipher.Blowfish

Description

Synopsis

- data Blowfish
- data Blowfish64
- data Blowfish128
- data Blowfish256
- data Blowfish448

# Documentation

data Blowfish Source #

variable keyed blowfish state

Instances

BlockCipher Blowfish Source # |

Methods

blockSize :: Blowfish -> Int #

ecbEncrypt :: Blowfish -> ByteString -> ByteString #

ecbDecrypt :: Blowfish -> ByteString -> ByteString #

cbcEncrypt :: Blowfish -> IV Blowfish -> ByteString -> ByteString #

cbcDecrypt :: Blowfish -> IV Blowfish -> ByteString -> ByteString #

cfbEncrypt :: Blowfish -> IV Blowfish -> ByteString -> ByteString #

cfbDecrypt :: Blowfish -> IV Blowfish -> ByteString -> ByteString #

ctrCombine :: Blowfish -> IV Blowfish -> ByteString -> ByteString #

xtsEncrypt :: (Blowfish, Blowfish) -> IV Blowfish -> DataUnitOffset -> ByteString -> ByteString #

xtsDecrypt :: (Blowfish, Blowfish) -> IV Blowfish -> DataUnitOffset -> ByteString -> ByteString #

aeadInit :: Byteable iv => AEADMode -> Blowfish -> iv -> Maybe (AEAD Blowfish) #

Cipher Blowfish Source # |
Methods cipherInit :: Key Blowfish -> Blowfish # cipherName :: Blowfish -> String # cipherKeySize :: Blowfish -> KeySizeSpecifier #

data Blowfish64 Source #

64 bit keyed blowfish state

Instances

BlockCipher Blowfish64 Source # |

Methods

blockSize :: Blowfish64 -> Int #

ecbEncrypt :: Blowfish64 -> ByteString -> ByteString #

ecbDecrypt :: Blowfish64 -> ByteString -> ByteString #

cbcEncrypt :: Blowfish64 -> IV Blowfish64 -> ByteString -> ByteString #

cbcDecrypt :: Blowfish64 -> IV Blowfish64 -> ByteString -> ByteString #

cfbEncrypt :: Blowfish64 -> IV Blowfish64 -> ByteString -> ByteString #

cfbDecrypt :: Blowfish64 -> IV Blowfish64 -> ByteString -> ByteString #

ctrCombine :: Blowfish64 -> IV Blowfish64 -> ByteString -> ByteString #

xtsEncrypt :: (Blowfish64, Blowfish64) -> IV Blowfish64 -> DataUnitOffset -> ByteString -> ByteString #

xtsDecrypt :: (Blowfish64, Blowfish64) -> IV Blowfish64 -> DataUnitOffset -> ByteString -> ByteString #

aeadInit :: Byteable iv => AEADMode -> Blowfish64 -> iv -> Maybe (AEAD Blowfish64) #

Cipher Blowfish64 Source # |
Methods cipherInit :: Key Blowfish64 -> Blowfish64 # cipherName :: Blowfish64 -> String # cipherKeySize :: Blowfish64 -> KeySizeSpecifier #

data Blowfish128 Source #

128 bit keyed blowfish state

Instances

BlockCipher Blowfish128 Source # |

Methods

blockSize :: Blowfish128 -> Int #

ecbEncrypt :: Blowfish128 -> ByteString -> ByteString #

ecbDecrypt :: Blowfish128 -> ByteString -> ByteString #

cbcEncrypt :: Blowfish128 -> IV Blowfish128 -> ByteString -> ByteString #

cbcDecrypt :: Blowfish128 -> IV Blowfish128 -> ByteString -> ByteString #

cfbEncrypt :: Blowfish128 -> IV Blowfish128 -> ByteString -> ByteString #

cfbDecrypt :: Blowfish128 -> IV Blowfish128 -> ByteString -> ByteString #

ctrCombine :: Blowfish128 -> IV Blowfish128 -> ByteString -> ByteString #

xtsEncrypt :: (Blowfish128, Blowfish128) -> IV Blowfish128 -> DataUnitOffset -> ByteString -> ByteString #

xtsDecrypt :: (Blowfish128, Blowfish128) -> IV Blowfish128 -> DataUnitOffset -> ByteString -> ByteString #

aeadInit :: Byteable iv => AEADMode -> Blowfish128 -> iv -> Maybe (AEAD Blowfish128) #

Cipher Blowfish128 Source # |
Methods cipherInit :: Key Blowfish128 -> Blowfish128 # cipherName :: Blowfish128 -> String # cipherKeySize :: Blowfish128 -> KeySizeSpecifier #

data Blowfish256 Source #

256 bit keyed blowfish state

Instances

BlockCipher Blowfish256 Source # |

Methods

blockSize :: Blowfish256 -> Int #

ecbEncrypt :: Blowfish256 -> ByteString -> ByteString #

ecbDecrypt :: Blowfish256 -> ByteString -> ByteString #

cbcEncrypt :: Blowfish256 -> IV Blowfish256 -> ByteString -> ByteString #

cbcDecrypt :: Blowfish256 -> IV Blowfish256 -> ByteString -> ByteString #

cfbEncrypt :: Blowfish256 -> IV Blowfish256 -> ByteString -> ByteString #

cfbDecrypt :: Blowfish256 -> IV Blowfish256 -> ByteString -> ByteString #

ctrCombine :: Blowfish256 -> IV Blowfish256 -> ByteString -> ByteString #

xtsEncrypt :: (Blowfish256, Blowfish256) -> IV Blowfish256 -> DataUnitOffset -> ByteString -> ByteString #

xtsDecrypt :: (Blowfish256, Blowfish256) -> IV Blowfish256 -> DataUnitOffset -> ByteString -> ByteString #

aeadInit :: Byteable iv => AEADMode -> Blowfish256 -> iv -> Maybe (AEAD Blowfish256) #

Cipher Blowfish256 Source # |
Methods cipherInit :: Key Blowfish256 -> Blowfish256 # cipherName :: Blowfish256 -> String # cipherKeySize :: Blowfish256 -> KeySizeSpecifier #

data Blowfish448 Source #

448 bit keyed blowfish state

Instances

BlockCipher Blowfish448 Source # |

Methods

blockSize :: Blowfish448 -> Int #

ecbEncrypt :: Blowfish448 -> ByteString -> ByteString #

ecbDecrypt :: Blowfish448 -> ByteString -> ByteString #

cbcEncrypt :: Blowfish448 -> IV Blowfish448 -> ByteString -> ByteString #

cbcDecrypt :: Blowfish448 -> IV Blowfish448 -> ByteString -> ByteString #

cfbEncrypt :: Blowfish448 -> IV Blowfish448 -> ByteString -> ByteString #

cfbDecrypt :: Blowfish448 -> IV Blowfish448 -> ByteString -> ByteString #

ctrCombine :: Blowfish448 -> IV Blowfish448 -> ByteString -> ByteString #

xtsEncrypt :: (Blowfish448, Blowfish448) -> IV Blowfish448 -> DataUnitOffset -> ByteString -> ByteString #

xtsDecrypt :: (Blowfish448, Blowfish448) -> IV Blowfish448 -> DataUnitOffset -> ByteString -> ByteString #

aeadInit :: Byteable iv => AEADMode -> Blowfish448 -> iv -> Maybe (AEAD Blowfish448) #

Cipher Blowfish448 Source # |
Methods cipherInit :: Key Blowfish448 -> Blowfish448 # cipherName :: Blowfish448 -> String # cipherKeySize :: Blowfish448 -> KeySizeSpecifier #